/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 添加保单材料 POST /api/InsuranceOrder/AddInsuranceOrderMaterial */
export async function addInsuranceOrderMaterial(
  body: API.AddInsuranceOrderMaterialInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceOrder/AddInsuranceOrderMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 检查导入保单模板 POST /api/InsuranceOrder/CheckImportInsuranceOrderData */
export async function checkImportInsuranceOrderData(body: string, options?: API.RequestConfig) {
  return request<number>('/api/InsuranceOrder/CheckImportInsuranceOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除保单材料 POST /api/InsuranceOrder/DeleteInsuranceOrderMaterial */
export async function deleteInsuranceOrderMaterial(body: string, options?: API.RequestConfig) {
  return request<number>('/api/InsuranceOrder/DeleteInsuranceOrderMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出保单列表 POST /api/InsuranceOrder/ExportInsuranceOrderList */
export async function exportInsuranceOrderList(
  body: API.QueryInsuranceOrderPageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceOrder/ExportInsuranceOrderList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保单详情 GET /api/InsuranceOrder/GetInsuranceOrderDetail */
export async function getInsuranceOrderDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceOrderDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutput>('/api/InsuranceOrder/GetInsuranceOrderDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据标识查询相关保单列表 POST /api/InsuranceOrder/GetInsuranceOrderListByOrderRelevance */
export async function getInsuranceOrderListByOrderRelevance(
  body: API.QueryInsuranceOrderListByOrderRelevanceInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutput[]>(
    '/api/InsuranceOrder/GetInsuranceOrderListByOrderRelevance',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保单材料 GET /api/InsuranceOrder/GetInsuranceOrderMaterialList */
export async function getInsuranceOrderMaterialList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceOrderMaterialListParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderMaterialListOutput[]>(
    '/api/InsuranceOrder/GetInsuranceOrderMaterialList',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保单分页列表 POST /api/InsuranceOrder/GetInsuranceOrderPage */
export async function getInsuranceOrderPage(
  body: API.QueryInsuranceOrderPageInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceOrderListOutputPageOutput>(
    '/api/InsuranceOrder/GetInsuranceOrderPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 导入保单数据 POST /api/InsuranceOrder/ImportInsuranceOrderData */
export async function importInsuranceOrderData(body: string, options?: API.RequestConfig) {
  return request<any>('/api/InsuranceOrder/ImportInsuranceOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
